Subject: [ietf-types] Media type registration of DASH MPD
From: Thomas Stockhammer <[email-masked]>
To: [email-masked]
Cc: List DASH <[email-masked]>
Date: Fri, 25 Nov 2011 15:19:04 +0100
List-Id: "Media \(MIME\) type review" <ietf-types.ietf.org>

Dear experts, 

MPEG-DASH in ISO/IEC 23009-1 has passed DIS ballot and is in the final editing stages: 

Please review media type registration of the MPD as provided below:

===================================================================

Annex C: MIME type registration for MPD

C.1		Introduction
 This Annex provides the formal MIME type registration for the MPD. It is referenced from the registry at http://www.iana.org/.

C.2		MIME type and subtype
 The MIME Type and Subtype are defined as follows:
 ⎯	MIME media type name:	application
 ⎯	MIME subtype name:	dash+xml
 ⎯	Required parameters:	none
 ⎯	Optional parameters:	The ‘profiles’ parameter as documented in Annex C.3.1 in this part of ISO/IEC 23009
 ⎯	Encoding considerations:	the same media type encoding considerations specified in section 3.2 of RFC 3023
 ⎯	Security considerations:	The MPD is a Media Presentation Description and contains references to other resources. It is coded in XML, and there are risks that deliberately malformed XML could cause security issues. In addition, an MPD could be authored that causes receiving clients to access other resources; if widely distributed, this could be used to cause a denial-of-service attack.
 ⎯	Interoperability considerations: 
The specification defines a platform-independent expression of a presentation, and it is intended that wide interoperability can be achieved.
 ⎯	Published specification:	ISO/IEC 23009-1: Information technology — Dynamic adaptive streaming over HTTP (DASH) — Part 1: Dynamic adaptive streaming over HTTP (DASH)
 ⎯	Applications which use this media type: 	various
 ⎯	Additional information:
 	⎯	File extension(s):					mpd
	 ⎯	Intended usage:					common
 ⎯	Other Information/General Comment:	none
 ⎯	Person to contact for further information:
 	⎯	Name:	Thomas Stockhammer
 	⎯	Email:	[email-masked]
 ⎯	Author/Change controller:	ISO/IEC JTC1/SC29 (MPEG)

C.3		Parameters
 C.3.1	The profiles parameter
 Parameter name:	profiles
 Parameter value:	The 'profiles' parameter is an optional parameter that indicates one or more profiles to which the file claims conformance. The contents of this attribute shall conform to either the pro-simp or pro-fancy productions of RFC6381, Section 4.5. The profile identifiers reported in the MIME type parameter should match identically the profiles reported in the profiles attribute in the MPD itself (see Clause 8).

 example:
 	application/dash+xml;profiles="urn:mpeg:dash:profiles:mythical,urn:3gpp:dash:profiles:fictional"

===================================================================

Please provide any comments asap, latest by December 6th.

Thanks!

Thomas

---
Dr. Thomas Stockhammer (CEO) || [email-masked] || phone +49 89 978980 02 || cell +491725702667 || http://www.nomor-research.com
Nomor Research GmbH  -  Sitz der Gesellschaft: München - Registergericht: München, HRB 165856 – Umsatzsteuer-ID: DE238047637 - Geschäftsführer: Dr. Thomas Stockhammer, Dr. Ingo Viering.